/*
 * Copyright (c) 1993 Addison-Wesley Publishing Company.
 * All rights reserved.  This source code is provided
 * for its instructional value, and is not guaranteed
 * for any particular purpose.
 */
/* praddr.c */
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <netconfig.h>
#include <netdir.h>
#include <tiuser.h>

void
main()
{
	int i;
	char *uap;
	struct netconfig *ncp;
	struct netbuf nb;
	struct sockaddr_in sa;

	if ((ncp = getnetconfigent("tcp")) != NULL) {
		/*
		 * If tcp is defined in /etc/netconfig, initialize
		 * the netbuf structure to represent a TCP address
		 * and print the corresponding universal address.
		 */
		nb.len = sizeof(struct sockaddr_in);
		nb.maxlen = nb.len;
		nb.buf = (char *)&sa;
		sa.sin_family = AF_INET;
		sa.sin_port = 1025;
		sa.sin_addr.s_addr = 0x01020304;
		for (i = 0; i < sizeof(sa.sin_zero); i++)
			sa.sin_zero[i] = 0;
		uap = taddr2uaddr(ncp, &nb);
		if (uap != NULL)
			printf("universal address is: %s\n", uap);
	}
	exit(0);
}
